{
  "layer": "top",
  "position": "top",
  "margin-top": 1,
  "margin-left": 1,
  "margin-right": 1,
  "margin-bottom": 1,
  "height": 54,
  "spacing": 0,
  "modules-left": [
    "custom/launcher",
    "hyprland/workspaces",
    "cpu",
//    "temperature",
    "custom/temps",
    "power-profiles-daemon",
    "memory",
//    "custom/updates",
    "custom/fans",
    "custom/weather",
    "custom/btrfs",
    //"custom/mouse_battery",
    //"custom/headset_battery"
 "custom/news"
//    "custom/mpris-buttons"
  ],
  "modules-center": [
    "custom/calendar_clock"
  ],
  "modules-right": [
    //"mpd",
    //"custom/rate",
    //  "image#test",
//    "custom/dmp_nowplaying",
    "custom/eww_nowplaying",
    "custom/lyrics",
    "mpris",
    "custom/roon",
    "tray",
    "custom/wf-recorder",
    //"image#gpu",
    "bluetooth",
    "network",
    "wireplumber",
    "custom/pwrate",
    "custom/mouse_battery",
    "custom/headset_battery",
    "battery",
    "custom/powermenu"
    //"hyprland/language"
    //"pulseaudio/slider",
  ],
  "custom/headset_battery": {
  "exec": "~/.config/waybar/scripts/headset_battery.sh",
  "interval": 20,
  "return-type": "json",
  "signal": 23
},
  "custom/mouse_battery": {
  "exec": "~/.config/waybar/scripts/mouse_battery.sh",
  "interval": 20,
  "return-type": "json"
},
"custom/news": {
  "exec": "~/.config/waybar/scripts/arch_news.py",
  "interval": 600,
  "return-type": "json",
  "tooltip": true,
  "on-click": "~/.config/waybar/scripts/mark_news_read.py",
  "on-click-right": "~/.config/waybar/scripts/open_news_url.sh"
},

"custom/btrfs": {
  "format": "{}",
  "exec": "~/.config/waybar/scripts/btrfs_module.sh",
  "interval": 180,
  "return-type": "json",
  "tooltip": true
},
  
  "custom/roon": {
    "exec": "cat /tmp/waybar_roon_info.json",
    "format": "{text}",
    "tooltip": true,
    "return-type": "json",
    "signal": 3
  },
  "custom/temps": {
  "exec": "~/.config/waybar/scripts/temps.sh",
  "interval": 10,
  "return-type": "json",
  "tooltip": true,
  "on-click": "~/.config/waybar/scripts/temps.sh click"
},

  "custom/dmp_nowplaying": {
  "exec": "~/.config/waybar/scripts/dmp_nowplaying.sh",
    "return-type": "json",
  "interval": 5,
  "tooltip": true
},
"custom/eww_nowplaying": {
  "exec": "echo '🎶  '",
  "interval": 3600,  // No es dinámico, solo muestra el ícono
  "tooltip": false,
  "on-click": "~/.config/eww/scripts/toggle_nowplaying.sh"
},

  "custom/fans": {
    "exec": "~/.config/waybar/scripts/fan_speed.sh",
    "format": "{text}",
    "return-type": "json",
    "on-click": "~/.config/waybar/scripts/fan_speed.sh next",
    "on-click-right": "~/.config/waybar/scripts/toggle_fans.sh",
    "interval": 5,
    "tooltip": true
},

"custom/updates": {
  "format": "{text}",
  "exec": "/bin/bash /home/teraflops/.config/waybar/scripts/updates.sh",
  "interval": 300,
  "return-type": "json",
  "tooltip": true,
},


  "hyprland/language": {
    "format-es": "es",
    "format-en": "us",
    "keyboard-name": "asus-keyboard",
    "keyboard-name": "melgeek-mojo68-c1-keyboard",
    "keyboard-name": "mwstudio-mmkzoo65-keyboard",
    "on-click": "hyprctl switchxkblayout mwstudio-mmkzoo65-keyboard next"
  },
  "custom/mpris-buttons": {
    "exec": "~/.config/waybar/scripts/mpris_buttons.sh",
  //  "interval": 1,
    "return-type": "json",
    "on-click": "playerctl play-pause",
    "on-click-right": "playerctl next",
    "on-click-middle": "playerctl previous",
    "signal": 24
},

  "pulseaudio/slider": {
    "min": 0,
    "max": 100,
    "orientation": "vertical"
  },
  "custom/network_speed": {
    "exec": "/home/teraflops/.local/bin/network_speed_client.py",
    "interval": 1,
    "return-type": "json",
    "format": "{}",
    "tooltip": true,
  },
  "image#gpu": {
    "exec": "/tmp/gpu.sh",
    "size": 18,
    //    "interval": 1,
    //   "signal": 3,
    "tooltip": true,
    "on-click": "python /home/teraflops/.local/bin/comandos.py",
  },
  "custom/lyrics": {
    "format": "{text}",
    "exec": "/home/teraflops/.config/waybar/scripts/lyrics_module.sh",
    "return-type": "json",
    "escape": true,
    "interval": 10,
    "on-empty": "hide",
    //"on-click": "termite -t playlist -e ncmpcpp",
    "on-click": "/home/teraflops/.config/waybar/scripts/show_cover.py",
    //"on-scroll-down": "/home/teraflops/.config/waybar/scripts/lyrics_scroll.sh",
    "signal": 9
  },
"mpris": {
    "format": "{title}",
    "format-paused": "⏸ {title}",
    "tooltip-format": "{title}\n{artist} ",
    //"title-len": 20,
    "artist-len": 0,
    "album-len": 0,
    "dynamic-len": 20,
    "ellipsis": "…",
    "expand": false,
    "max-length": 60,
 //   "min-length": 25,
    "tooltip": true,
    //"ignored-players": ["firefox"],
},


  "hyprland/workspaces": {
    "on-click": "activate",
    "format": "{icon}",
    "format-icons": {
      "default": "",
      "1": "",
      "2": "",
      "3": "",
      "4": "",
      "active": "󱓻",
      "urgent": "󱓻",
    },
    "persistent-workspaces": {
      "*": 4,
    },
  },
  "custom/inetspeedup": {
    "format": "{}",
    "exec": "/home/teraflops/.config/waybar/scripts/inetup.py",
    "on-click": "/home/teraflops/.config/waybar/scripts/inetup.py toggle",
    "interval": 10,
    "return-type": "json",
    "signal": 20,
  },
  "custom/inetspeeddown": {
    "format": "{}",
    "exec": "/home/teraflops/.config/waybar/scripts/inetdown.py",
    "on-click": "/home/teraflops/.config/waybar/scripts/inetdown.py toggle",
    "interval": 10,
    "return-type": "json",
    "signal": 21,
  },
  "custom/borg": {
    //pkill -RTMIN+12 waybar
    "format": "BACKUP RUNNING",
    "exec": "echo '{\"class\": \"running\"}'",
    "exec-if": "pgrep -x pika-backup",
    "return-type": "json",
    "signal": 12,
  },
  "custom/wf-recorder": {
    //pkill -RTMIN+11 waybar
    "format": "• ",
    "exec": "echo '{\"class\": \"recording\"}'",
    "exec-if": "pgrep -x wf-recorder",
    "return-type": "json",
    "signal": 11,
  },
  "custom/tailscale": {
    "format": "VPN",
    "exec": "echo '{\"class\": \"vpn\"}'",
    "exec-if": "pgrep -x tailscaled",
    "return-type": "json",
    "signal": 22,
  },
  "custom/pwrate": {
    "exec": "/home/teraflops/.local/bin/pwrate3.sh",
    "return-type": "json",
    "format": "{}",
    "signal": 23
  },
  "custom/rate": {
    //pkill -RTMIN+15 waybar
    //"exec": "/home/teraflops/.local/bin/show_rate.sh",
    "exec": "python /home/teraflops/.local/bin/now_playing_tooltip.py",
    //"exec": "echo '{\"text\":\"🎵\", \"tooltip\":\"Testing Tooltip\"}'", // Simple test module
    "tooltip": true,
    "return-type": "json",
    "escape": false,
    "on-click": "python /home/teraflops/.local/bin/now_playing_tooltip.py toggle",
    "on-click-right": "pkill -Af now_playing_tooltip.py",
    "signal": 15,
    "class": "rate-module",
  },
  "backlight": {
    "device": "amdgpu_bl1",
    "format": "{icon}",
    "format-icons": [
      " ",
      " ",
      " ",
      " ",
      " ",
      " ",
      " ",
      " ",
      " ",
      " ",
      " ",
      " ",
      " ",
      " ",
      " ",
    ],
  },
  "custom/weather": {
    "exec": "python ~/.config/waybar/scripts/weather.py",
    "restart-interval": 300,
    "return-type": "json",
    // "on-click": "xdg-open https://weather.com/en-IN/weather/today/l/$(location_id)"
    // "format-alt": "{alt}",
  },
  "bluetooth": {
    "format": "",
    "format-connected": "",
    "format-connected-battery": "󰂴 ",
    "tooltip-format": "{controller_alias}\t{controller_address}\n\n{num_connections} connected",
    "tooltip-format-connected": "{controller_alias}\t{controller_address}\n\n{num_connections} connected\n\n{device_enumerate}",
    "tooltip-format-enumerate-connected": "{device_alias}\t{device_address}",
    "tooltip-format-enumerate-connected-battery": "{device_alias}\t{device_address}\t{device_battery_percentage}%",
    "on-click": "/home/teraflops/.config/waybar/scripts/bt_menu.py",
  },
  "hyprland/window": {
    "max-length": 60,
    "format": "<span font='11' rise='-4444'>{}</span>",
    "separate-outputs": true,
  },
  "temperature": {
    "hwmon-path": [
      "/sys/class/thermal/thermal_zone0/temp"
    ],
    "critical-threshold": 80,
    "format-critical": "{temperatureC}°C",
    "format": "{temperatureC}°C",
  },
  "memory": {
    "interval": 3,
    "format": "   {}% ",
    "max-length": 10,
  },
  "cpu": {
    "interval": 1,
    "format": "{icon} {usage:>2}%",
    "format-icons": [
      "􏘭 ",
      "􏘬 ",
      "􏘩 ",
      "􏘪 ",
      "􏘫 "
    ],
  },
  "power-profiles-daemon": {
    "format": "{icon}",
    "tooltip-format": "Power profile: {profile}\nDriver: {driver}",
    "tooltip": true,
    "format-icons": {
      "default": "BAL",
      "performance": "PERF",
      "balanced": "BAL",
      "power-saver": "PSAV",
    },
  },
  "custom/powermenu": {
    "format": "⏻ ",
    "tooltip": false,
    "on-click": "/home/teraflops/.config/waybar/scripts/wlogout.sh",
  },
  "tray": {
    "icon-size": 18,
    "spacing": 10,
  },
  "custom/calendar_clock": {
    "exec": "python3 /home/teraflops/.local/bin/list_events_v5_json.py",
    "interval": 120,
    "tooltip": true,
    "return-type": "json",
  },
  "network": {
    "format-wifi": "{icon}",
    "format-disconnected": "󰤭 ",
    "format-icons": [
      "󰤯 ",
      "󰤟 ",
      "󰤢 ",
      "󰤥 ",
      "󰤨 "
    ],
    "tooltip-format-wifi": "{essid}",
    "tooltip-format-disconnected": "Disconnected",
    "nospacing": 1,
  },
  //"battery": {
  // "bat": "BAT1",  // Usa el identificador correcto de tu batería
  //"interval": 60,
  //"format": "{icon}",
  //"tooltip": false,
  //"format-icons": ["", "", "", "", ""],
  //"menu": "on-click",
  //"menu-file": "/home/teraflops/.config/waybar/menu/battery_menu.xml",
  //"menu-actions": { 
  // "view_details": "notify send 1",
  //"check_health": "notify send 2",
  //"activate_saving_mode": "notify send 3",
  //},
"battery": {
	"interval": 60,
	"states": {
	"warning": 30,
	"critical": 15
	},
//"format": "{icon} {capacity}%",
  "format": "<span size='large'></span> {capacity}%",
  "format-plugged": "<span size='large'></span> {capacity}%",
    "format-icons": ["", "", "", "", ""],
"max-length": 25
},
  "wireplumber": {
    "format": "{icon}",
    "nospacing": 1,
    "tooltip-format": "Volume : {volume}%",
    "format-muted": "󰝟 ",
    "format-icons": {
      "headphone": " ",
      "default": [
        "󰕿 ",
        "󰖀 ",
        "󰕾 "
      ],
    },
    "on-click-right": "pavucontrol",
    "on-update": "/usr/bin/pkill -RTMIN+23 waybar",
    // "on-update": "/home/teraflops/.local/bin/show_rate.sh",
    "scroll-step": 3,
  },
  "custom/launcher": {
    "format": "  ",
    "tooltip": false,
    "on-click": "/home/teraflops/.config/rofi/launchers/misc/launcher.sh &",
  },
}
